<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

$did=check($did);
$fid=check($fid);
if($sort==""){$sort="name";}
if($list==""){$list=1;}
$dates=date("d.m.y");
$times=date("H:i"); 
$time=time();

if(!eregi("[^a-z0-9_@+-]",$did) && (!eregi("[^a-z0-9_@+.-]",$fid))){	

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {
if($udata[10]>0){
echo'<img src="../images/img/mail.gif" alt=""> <b><a href="../pages/privat.php?'.SID.'"><font color="red">Приватное сообщение! ('.$privat.')</font></a></b><br>';}}

##########################################################################
##                             Основная
##########################################################################
if(!isset($action)){
if(!empty($did)){
echo '<img src="../images/img/partners.gif" alt=""> <b>Файлы Форума</b><br><br>';


$dir = opendir ($did);
while ($file = readdir ($dir)) {
if (( $file != ".") && ($file != "..") && ($file != ".htaccess") && ($file != "index.php") && ($file != "name.dat") && !ereg (".txt$",$file)&& !ereg (".JPG$",$file)&& !ereg (".GIF$",$file)){
$listfiles[]=$file;
$listtime[]=filemtime("$did/$file");
$listsize[]=filesize("$did/$file");
}} 
closedir ($dir); 


if($sort=="name"){
if($list==1){
sort($listfiles);
}else{
rsort($listfiles);}
} 

if($sort=="date"){
if($list==1){
arsort($listtime);
}else{
asort($listtime);	
}
foreach($listtime as $k=>$v){ 
$arr_listfiles[]=$listfiles[$k];
}
$listfiles=$arr_listfiles;
}

if($sort=="size"){
if($list==1){
arsort($listsize);
}else{
asort($listsize);	
}	

foreach($listsize as $k=>$v){ 
$arr_listsize[]=$listfiles[$k];
}
$listfiles=$arr_listsize;
}


	
$down_name=file_get_contents("$did/name.dat");
if($down_name!=""){
echo'<img src="../images/img/opendir.gif" alt=""> <b>'.$down_name.'</b><br><br>';
}else{
echo'<img src="../images/img/opendir.gif" alt=""> <b>'.$did.'</b><br><br>';
}

//--------------------------------------------------------//   
echo 'Сортировать: '; 

if($sort=="name"){
if($list==1){
echo '<img src="../images/img/downs.gif" alt=""> <b><a href="down.php?did='.$did.'&amp;start='.$start.'&amp;list=0&amp;'.SID.'">По имени</a></b> | ';
}else{
echo '<img src="../images/img/ups.gif" alt=""> <b><a href="down.php?did='.$did.'&amp;start='.$start.'&amp;list=1&amp;'.SID.'">По имени</a></b> | ';}
}else{
echo '<img src="../images/img/downs.gif" alt=""> <a href="down.php?did='.$did.'&amp;start='.$start.'&amp;list=1&amp;'.SID.'">По имени</a> | ';
}

if($sort=="date"){
if($list==1){
echo '<img src="../images/img/downs.gif" alt=""> <b><a href="down.php?did='.$did.'&amp;start='.$start.'&amp;sort=date&amp;list=0&amp;'.SID.'">По дате</a></b> | ';
}else{
echo '<img src="../images/img/ups.gif" alt=""> <b><a href="down.php?did='.$did.'&amp;start='.$start.'&amp;sort=date&amp;list=1&amp;'.SID.'">По дате</a></b> | ';}
}else{
echo '<img src="../images/img/downs.gif" alt=""> <a href="down.php?did='.$did.'&amp;start='.$start.'&amp;sort=date&amp;list=1&amp;'.SID.'">По дате</a> | ';
}

if($sort=="size"){
if($list==1){
echo '<img src="../images/img/downs.gif" alt=""> <b><a href="down.php?did='.$did.'&amp;start='.$start.'&amp;sort=size&amp;list=0&amp;'.SID.'">По размеру</a></b>';
}else{
echo '<img src="../images/img/ups.gif" alt=""> <b><a href="down.php?did='.$did.'&amp;start='.$start.'&amp;sort=size&amp;list=1&amp;'.SID.'">По размеру</a></b>';}
}else{
echo '<img src="../images/img/downs.gif" alt=""> <a href="down.php?did='.$did.'&amp;start='.$start.'&amp;sort=size&amp;list=1&amp;'.SID.'">По размеру</a>';
}

   
$namefiles=$listfiles;   
$total = count($listfiles); 

if($total>0){
if (empty($_GET['start'])) $start = 0; 
else $start = $_GET['start'];
if ($total < $start + $config_downlist){ $end = $total; }
else {$end = $start + $config_downlist; }
for ($i = $start; $i < $end; $i++){
	
$listfiles[$i]=substr($listfiles[$i],0,strrpos($listfiles[$i],'.'));
	
$siz= filesize("$did/$namefiles[$i]");
$siz=formatsize($siz);
$filtime=filemtime ("$did/$namefiles[$i]"); 
$filtime=$filtime+(3600*24*5);


echo '<div class=b>';
if($filtime>=$time){
echo '<img src="../images/img/new.gif" alt=""> ';
}else{
echo '<img src="../images/img/files.gif" alt=""> ';} 

echo '<b><a href="down.php?action=ob&amp;did='.$did.'&amp;fid='.$namefiles[$i].'&amp;'.SID.'">'.$listfiles[$i].'</a></b> ('.$siz.')<br>';
$te = file("../local/downfor/$namefiles[$i].dat"); 
$u = explode("|",$te[0]);
echo '</div>Cкачиваний: '.(int)$u[0];

$tit=round($u[2]/$u[1]/2,1);
echo '<br>Рейтинг: '.$tit.'/<b>'.(int)$u[1].'</b>';

$filekomm = file("../local/downfor/$namefiles[$i].dat");
$totalkomm = count($filekomm)-1;

echo '<br><a href="down.php?action=komm&amp;did='.$did.'&amp;fid='.$namefiles[$i].'&amp;'.SID.'">Комментарии</a> ('.(int)$totalkomm.')<br>';
}
}else{echo '<br><img src="../images/img/reload.gif" alt=""> <b>В данной категории нет файлов!</b><br>';}

echo'<hr>';  

 

if ($start != 0) {echo '<a href="down.php?start='.($start - $config_downlist).'&amp;did='.$did.'&amp;sort='.$sort.'&amp;list='.$list.'&amp;'.SID.'">&lt;-Назад </a> ';}else{echo'&lt;-Назад ';}
echo'|';
if ($total > $start + $config_downlist) {echo ' <a href="down.php?start='.($start + $config_downlist).'&amp;did='.$did.'&amp;sort='.$sort.'&amp;list='.$list.'&amp;'.SID.'"> Далее-&gt;</a>';}else{echo' Далее-&gt;';}


if($total>0){

$ba=ceil($total/$config_downlist);
$ba2=$ba*$config_downlist-$config_downlist;

echo '<br><hr>Страницы:';
$asd=$start-($config_downlist*3);
$asd2=$start+($config_downlist*4);

if($asd<$total && $asd>0){echo ' <a href="down.php?start=0&amp;did='.$did.'&amp;sort='.$sort.'&amp;list='.$list.'&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_downlist);

if ($start==$i) {
echo ' <b>'.$ii.'</b>';
               }
                else {
echo ' <a href="down.php?start='.$i.'&amp;did='.$did.'&amp;sort='.$sort.'&amp;list='.$list.'&amp;'.SID.'">'.$ii.'</a>';
                     }}


$i=$i+$config_downlist;}
if($asd2<$total){echo ' ... <a href="down.php?start='.$ba2.'&amp;did='.$did.'&amp;sort='.$sort.'&amp;list='.$list.'&amp;'.SID.'">'.$ba.'</a>';}
}

echo '<br><br>Всего файлов: '.(int)$total.'<br>';


}else{header ("Location: index.php?".SID); exit;}
}

##########################################################################
##                              Cчетчик
##########################################################################
if($action=="count"){

if($did!="" && $fid!=""){
if(file("$did/$fid")){
if($_SESSION['download']!="$did/$fid"){
	
$_SESSION['download']="$did/$fid";
	
$f = file("../local/downfor/$fid.dat"); 
$u = explode("|",$f[0]);
$u[0]++;
$t=$u[0].'|'.$u[1].'|'.$u[2].'|'.$currDate.' ('.$currTime2.')|'.$did.'|';
$t=preg_replace ("|[\r\n]+|si","",$t);
$rd=0;  
$file=file("../local/downfor/$fid.dat");
$fp=fopen("../local/downfor/$fid.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0;$i< sizeof($file);$i++) {if ($rd!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$t\r\n");}}
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
chmod ($fp, 0777);
chmod ("../local/downfor/$fid.dat", 0777);          
}

header("location: $did/$fid"); 

}else{echo '<br>Ошибка, невозможно найти требуемый вам файл '.$did.'/'.$fid.'<br>';}
}else{echo '<br>Ошибка, отсутствуют важные данные!<br>';}
echo '<br><img src="../images/img/back.gif" alt=""> <a href="?action=ob&amp;did='.$did.'&amp;fid='.$fid.'&amp;'.SID.'">Вернуться</a>';
} 


##########################################################################
##                       Запись и вывод рейтинга
##########################################################################
if($action=="vote"){
echo '<img src="../images/img/partners.gif" alt=""> <b>Оценка файла</b><br><br>';	
	
if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {
if($_SESSION['votus']!=$fid){

$_SESSION['votus']=$fid;

if(file("../local/downfor/$fid.dat")){
if(file("$did/$fid")){
if($ocenka!="" && ctype_digit($ocenka)){
	
$f = file("../local/downfor/$fid.dat"); 
$u = explode("|",$f[0]);

$u[1]++;
$golos=round($u[2]+$ocenka);

$t=$u[0].'|'.$u[1].'|'.$golos.'|'.$u[3].'|'.$u[4].'|';
$t=preg_replace ("|[\r\n]+|si","",$t);

$rd=0;  
$file=file("../local/downfor/$fid.dat");
$fp=fopen("../local/downfor/$fid.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0;$i< sizeof($file);$i++) {if ($rd!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$t\r\n");}}
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
chmod ($fp, 0777);
chmod ("../local/downfor/$fid.dat", 0777);   
    
$ocenka2=round($ocenka/2);
echo'<br>Спасибо ваша оценка: <b>"'.(int)$ocenka2.'"</b> принята<br>';  


$te = file("../local/downfor/$fid.dat"); 
$u = explode("|",$te[0]);
$tit=round($u[2]/2/$u[1],1);

echo 'Всего оценивало: '.(int)$u[1].'<br>';
echo 'Средняя оценка: '.$tit.'<br>';

}else{ echo '<br>Ошибка, вы не указали оценку<br>';}
}else{ echo '<br>Ошибка, невозможно открыть требуемый вам файл<br>';}
}else{ echo '<br>Ошибка, вы не можете оценивать т.к. никто еще не скачивал файл<br>';}
}else{ echo '<br>Ошибка, вы уже оценили этот файл!<br>';}

}else{
echo '<br>Вы не авторизованы, чтобы добавить сообщение необходимо<br>';
echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br>';
}

echo'<br><img src="../images/img/back.gif" alt=""> <a href="down.php?action=ob&amp;did='.$did.'&amp;fid='.$fid.'&amp;'.SID.'">Вернуться</a>';
}

##########################################################################
##                         Вывод камментов
##########################################################################
if($action=="komm"){
echo'<img src="../images/img/messages.gif" alt=""> <b>Комментарии ('.$fid.')</b><br><br>';	

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {	
if($config_themes!="wml"){	
echo'<form action="down.php?action=addkomm&amp;fid='.$fid.'&amp;did='.$did.'&amp;'.SID.'" method="post">';
echo'<b>Сообщение:</b><br>';
echo'<textarea cols="25" rows="3" name="msg"></textarea><br>';

if($config_translit=="1"){
echo'Транслит: <input name="trans" type="checkbox" value="y" /><br>';}
echo'<input type="submit" value="Написать" /></form><hr>';

}else{

echo'<br>Сообщение:<br>';
echo'<input name="msg" /><br>';

if($config_translit=="1"){
echo'Транслит: <select name="trans"><option value="0">Нет</option>';
echo'<option value="y">Да</option>';
echo'</select><br>';}

echo'<anchor>Написать';
echo'<go href="down.php?action=addkomm&amp;fid='.$fid.'&amp;did='.$did.'&amp;'.SID.'" method="post">';
echo'<postfield name="msg" value="$(msg)"/>';
echo'<postfield name="trans" value="$(trans)"/>';
echo'</go></anchor><br>--------------------<br>';
}
}else{
echo '<br>Вы не авторизованы, чтобы добавить сообщение необходимо<br>';
echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br><br>';
}

$file = file("../local/downfor/$fid.dat");
$file = array_reverse($file);
$total = count($file)-1;    

if($total<1){echo '<b>Комментариев еще нет!</b><br>';}

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $config_postdown){ $end = $total; }
else {$end = $start + $config_postdown;}
for ($i = $start; $i < $end; $i++){


$data = explode("|",$file[$i]);
$num=$total-$i;

/////////////////////////////  онлайнер /////////////////////////////////
$statwho='<font color="red">[Off]</font>';
$sublines=file("../local/online.dat"); 
$subcount=count($sublines);
for ($b=0; $b<$subcount; $b++) {$dt=explode("#",$sublines[$b]); if ($data[3]==$dt[2]) 
{$statwho='<font color="#00FF00">[On]</font>';}}
///////////////////////////////////////////////////////////////

$ava = file("../local/profil/$data[3].prof"); 
$avv = explode(":||:",$ava[0]);

echo '<div class=b> ';
if(!empty($udata[45])){
if($avv[43]!="" && $avv[43]!="noavatar.gif"){
echo '<img src="../'.$avv[43].'" alt=""> ';
}else{
echo '<img src="../images/avators/noavatar.gif" alt=""> '; }
	
echo '<b><a href="../pages/anketa.php?uz='.$data[3].'&amp;'.SID.'"> '.$data[3].' </a></b> '.$statwho;
}else{
echo'<img src="../images/img/edit.gif" alt=""> <b><a href="../pages/anketa.php?uz='.$data[3].'&amp;'.SID.'"> '.$data[3].' </a></b> '.$statwho;}		
	
echo '<small> ('.$data[1].' / '.$data[2].')</small>';

//------------------------------Удаление для модеров---------------------------//
if($provpar==md5($_SESSION['par']) && $provlog==$_SESSION['log']) {
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){
echo ' <a href="down.php?action=del&amp;did='.$did.'&amp;fid='.$fid.'&amp;num='.$num.'&amp;start='.$start.'&amp;'.SID.'"><font color="#FF0000">[Del]</font></a>';	
}}

echo '</div><div>'.bb_code($data[0]).'</div>'; 

}
echo'<hr>';
if ($start != 0) {echo '<a href="down.php?action=komm&amp;did='.$did.'&amp;fid='.$fid.'&amp;start='.($start - $config_postdown).'&amp;'.SID.'">&lt;-Назад</a> ';}else{echo'&lt;-Назад';}
echo ' | ';
if ($total > $start + $config_postdown) {echo ' <a href="down.php?action=komm&amp;did='.$did.'&amp;fid='.$fid.'&amp;start='.($start + $config_postdown).'&amp;'.SID.'">Далее-&gt;</a>';}else{echo'Далее-&gt;';}


if($total>0){

$ba=ceil($total/$config_postdown);
$ba2=$ba*$config_postdown-$config_postdown;

echo '<br><hr>Страницы:';
$asd=$start-($config_postdown*3);
$asd2=$start+($config_postdown*4);

if($asd<$total && $asd>0){echo ' <a href="down.php?action=komm&amp;did='.$did.'&amp;fid='.$fid.'&amp;start=0&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_postdown);

if ($start==$i) {
echo ' <b>'.$ii.'</b>';
               }
                else {
echo ' <a href="down.php?action=komm&amp;did='.$did.'&amp;fid='.$fid.'&amp;start='.$i.'&amp;'.SID.'">'.$ii.'</a>';
                     }}


$i=$i+$config_postdown;}
if($asd2<$total){echo ' ... <a href="down.php?action=komm&amp;did='.$did.'&amp;fid='.$fid.'&amp;start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';}
}

echo'<br><br><img src="../images/img/back.gif" alt=""> <a href="down.php?action=ob&amp;did='.$did.'&amp;fid='.$fid.'&amp;'.SID.'">К описанию</a>';	
}



##########################################################################
##                        Запись комментариев
##########################################################################
if($action=="addkomm"){
	
echo'<img src="../images/img/partners.gif" alt=""> <b>Добавление комментария</b><br><br>';	

if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if(strlen(utf_to_win(trim($msg)))>5 && strlen(utf_to_win($msg))<1000){
if(file("../local/downfor/$fid.dat")){

//--------------------- Новый антифлуд -----------------------------//
if($config_floodstime > 0){
if(flooder($ip, $php_self) == TRUE ){header ("Location: down.php?action=komm&did=$did&fid=$fid&isset=antiflood&".SID); exit;}
$flood_file = fopen(BASEDIR."local/flood.dat", "a+");
flock ($flood_file,LOCK_EX);
fputs ($flood_file,"$time|$ip|$php_self|\r\n");
fflush($flood_file);
flock ($flood_file,LOCK_UN);
fclose($flood_file);   
}

//--------------------- Карантин -----------------------------//
if($config_karantin > 0){
if($udata[6]+$config_karantin>$time){header ("Location: down.php?action=komm&did=$did&fid=$fid&isset=karantin&".SID); exit;}
}


$msg=wordwrap($msg,100,' ',1);
$msg=substr($msg,0,1000);
$msg=check($msg);

if($trans=="y"){$msg=transliter($msg);}
$msg = antimat($msg);
$msg = smiles($msg);

$file = file("../local/downfor/$fid.dat");
$file = array_reverse($file);

$data1 = explode("|",$file[0]);
$me=round($data1[4]+1);
$text=$msg.'|'.$dates.'|'.$times.'|'.$log.'|'.$me.'|';
$text=preg_replace ("|[\r\n]+|si","",$text);

$fp=fopen("../local/downfor/$fid.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
chmod($fp, 0777);
chmod("../local/downfor/$fid.dat", 0777);

/////////////////////////////////////
$f = file("../local/local.dat"); 
$u = explode("|",$f[0]);
$u[5]++;
$t=$u[0].'|'.$u[1].'|'.$u[2].'|'.$u[3].'|'.$u[4].'|'.$u[5].'|'.$u[6].'|'.$u[7].'|'.$u[8].'|'.$u[9].'|'.$u[10].'|';

$fp = fopen("../local/local.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,$t);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
///////////////////////////

$file=file("../local/downfor/$fid.dat"); 
$i = count($file);
if ($i>=$config_maxpostdown) {
$fp=fopen("../local/downfor/$fid.dat","w");
flock ($fp,LOCK_EX);
unset($file[1],$file[2]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
chmod($fp, 0777);
chmod("../local/downfor/$fid.dat", 0777);}


//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);

$udata[14]=$ip;
$udata[33]++;
$udata[36]++;
$udata[41]++;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");
flock($fp,LOCK_EX);   
ftruncate($fp,0);                                                                 
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

header("location: down.php?action=komm&did=$did&fid=$fid&isset=addkomm&".SID); 

}else{echo'<b>Вы не можете комментировать т.к. никто еще не скачивал файл</b><br>';}
}else{echo'<b>Вы не написали комментарий или он слишком короткий</b><br>'; }
}else{
echo '<br>Вы не авторизованы, чтобы добавить сообщение необходимо<br>';
echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br><br>';
}

echo'<br><br><img src="../images/img/back.gif" alt=""> <a href="down.php?action=komm&amp;did='.$did.'&amp;fid='.$fid.'&amp;'.SID.'">Вернуться</a><br>';
echo'<img src="../images/img/reload.gif" alt=""> <a href="down.php?action=ob&amp;did='.$did.'&amp;fid='.$fid.'&amp;'.SID.'">К описанию</a>';
}



##########################################################################
##                         Описание загрузки
##########################################################################
if($action=="ob"){
if(!empty($did)  && !empty($fid)){ 
	
echo '<img src="../images/img/down.gif" alt="">  <b>'.$fid.'</b><br><br>'; 

if(file("$did/$fid.txt")){ 
$opis = file_get_contents("$did/$fid.txt");
echo $opis;

}else{echo'<br><b>Описание отсутствует!</b><br>';}

$siz= filesize("$did/$fid"); 
$siz=formatsize($siz);

$ext = strtolower(substr($fid, strrpos($fid, '.') + 1));

if ($ext=="gif" || $ext=="jpg" || $ext=="png"){
echo'<br><br>Скриншот:<br><img src="../gallery/resize.php?act='.$ext.'&amp;gdir=download&amp;gpoddir='.$did.'&amp;gname='.$fid.'" alt="">';
}else{

if(file("$did/$fid.JPG")){echo'<br><br>Скриншот:<br><img src="'.$did.'/'.$fid.'.JPG" alt="">';
}elseif(file("$did/$fid.GIF")){echo'<br><br>Скриншот:<br><img src="'.$did.'/'.$fid.'.GIF" alt="">';}
}

echo'<hr>';

//--------------------------------------------просмоторщик архивов---------------------------------------------------//		
if ($ext=="zip"){echo'<br><img src="../images/img/zip.gif" alt="">';
echo' <b><a href="zip.php?dir='.$did.'&amp;arch='.$fid.'&amp;'.SID.'">Просмотреть архив</a></b>';}	
	

echo'<br><img src="../images/img/download.gif" alt="">';
echo' <b><a href="down.php?action=count&amp;did='.$did.'&amp;fid='.$fid.'&amp;'.SID.'">Скачать</a> ('.$siz.')</b>';

$filekomm = file("../local/downfor/$fid.dat");
$totalkomm = count($filekomm)-1;

echo'<br><img src="../images/img/files.gif" alt="">';
echo' <b><a href="down.php?action=komm&amp;did='.$did.'&amp;fid='.$fid.'&amp;'.SID.'">Комментарии</a> ('.(int)$totalkomm.')</b><br>';	

echo'<br>Скопировать адрес:<br>
<input name="text"  value="'.$config_home.'/forum/'.$did.'/'.$fid.'" /><br>';


$file = file("../local/downfor/$fid.dat");
$data1 = explode("|",$file[0]);

echo '<br>Cкачиваний: '.(int)$data1[0];

if($data1[3]!=""){echo'<br>Последнее скачивание: '.$data1[3];}

$tit=round($data1[2]/$data1[1]/2,1);

echo '<br>Рейтинг: '.raiting_vote($tit).'<br>Всего оценок: <b>'.(int)$data1[1].'</b>';

//--------------------------------Форма для оценок---------------------------------//
echo'<br>Оценить ';
if($config_themes!="wml"){
echo'<form action="down.php?action=vote&amp;fid='.$fid.'&amp;did='.$did.'&amp;'.SID.'" method="post" name="vote">';
echo'<select name="ocenka">';
echo'<option value="10">Отлично</option>';
echo'<option value="8">Хорошо</option>';
echo'<option value="6">Нормально</option>';
echo'<option value="4">Плохо</option>';
echo'<option value="2">Отстой</option>';
echo'</select>';
echo'<input type="submit" value="Oценить" /></form><hr>';

}else{

echo'<br><select name="ocenka">';
echo'<option value="10">Отлично</option>';
echo'<option value="8">Хорошо</option>';
echo'<option value="6">Нормально</option>';
echo'<option value="4">Плохо</option>';
echo'<option value="2">Отстой</option>';
echo'</select><br>';

echo'<anchor>Oценить';
echo'<go href="down.php?action=vote&amp;fid='.$fid.'&amp;did='.$did.'&amp;'.SID.'" method="post">';
echo'<postfield name="ocenka" value="$(ocenka)"/>';
echo'</go></anchor>';

}
}else{header ("Location: index.php?".SID); exit;}

echo'<br><img src="../images/img/back.gif" alt=""> <a href="down.php?did='.$did.'&amp;'.SID.'">Вернуться</a>'; 
}


##########################################################################
##                        Удаление комментариев
##########################################################################
if($action=="del"){
if($provpar==md5($_SESSION['par']) && $provlog==$_SESSION['log']) {
if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){
if ($num!="" && $did!="" && $fid!=""){
$file=file("../local/downfor/$fid.dat");	
$fp=fopen("../local/downfor/$fid.dat","w");
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) { if ($i==$num) {unset($file[$i]);} }
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

header("location: down.php?action=komm&did=$did&fid=$fid&start=$start&isset=delkomm&".SID); exit;
}}}
header("location: down.php?action=komm&did=$did&fid=$fid&start=$start&".SID); exit;
}


}else{echo'<br><b>Ошибка, недопустимое название папки или файла!</b><br>';} 

echo'<br><img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">К категориям</a><br>';	
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
?>

